\section{Publication of the French Site in Peer-Reviewed Conference or
  Journal papers (last 5 years)}
\begin{itemize}
\item
P. Abate, R. Di Cosmo, R. Treinen, S. Zacchiroli.
Dependency Solving: a Separate Concern in Component Evolution
Management. In Journal of Systems and Software, Volume 85, Issue 10,
pp. 2228-2240. ISSN 0164-1212, Elsevier, October 2012.

\item
R. Di Cosmo, S. Zacchiroli, G. Zavattaro.  Towards a
Formal Component Model for the Cloud In proceedings of SEFM 2012: 10th
International Conference on Software Engineering and Formal Methods,
Thessaloniki, Greece, 1-5 October, 2012. LNCS 7504, pp. 156-171,
Springer-Verlag, 2012.

\item
C. Artho, R. Di Cosmo, K. Suzaki, R. Treinen,
S. Zacchiroli. Why Do Software Packages Conflict? 9th Working
Conference on Mining Software Repositories, June 2-3, 2012. Zurich,
Switzerland.

\item
P. Abate, R. Di Cosmo, R. Treinen, S. Zacchiroli.
Learning from the Future of Component Repositories. 15th International
ACM SIGSOFT Symposium on Component Based Software Engineering
(CBSE-2012), Bertinoro, Italy, June 26-28, 2012.


\item
P. Abate, R. Di Cosmo, R. Treinen, S. Zacchiroli. MPM:
a modular package manager. 14th International ACM SIGSOFT Symposium
on Component Based Software Engineering (CBSE-2011), June 21th - 23th,
2011 -- Boulder, Colorado, USA.

\item
P. Abate, R. Di Cosmo: Predicting upgrade failures using
dependency analysis. Workshops Proceedings of the 27th International
Conference on Data Engineering, ICDE 2011, Hannover, Germany 2011:
pp. 145-150

\item
R. Di Cosmo, O. Lhomme, C. Michel: Aligning component
upgrades. Proceedings of the second International Workshop on Logics
for Component Configuration 2011, Electronic Proceedings in Computer
Science (EPTCS) vol 65, pp. 1-11

\item
R. Di Cosmo, J. Vouillon: On software component co-installability.
SIGSOFT FSE 2011: 19th ACM SIGSOFT Symposium on the Foundations of Software
Engineering (FSE-19) and ESEC'11: 13rd European Software Engineering Conference
(ESEC-13), Szeged, Hungary, September 5-9, 2011

\item
R. Di Cosmo, D. Di Ruscio, P. Pelliccione, A.
Pierantonio, S. Zacchiroli: Supporting software evolution in
component-based FOSS systems. Sci. Comput. Program. 76(12): 1144-1160
(2011)

\item
R. Di Cosmo and S. Zacchiroli.  Feature Diagrams as Package
Dependencies.  In proceedings of SPLC 2010: 14th International
Software Product Line Conference, Jeju Island, South Korea, 13-17
September 2010. LNCS 6287, pp. 476-480, Springer-Verlag, 2010.

\item
R. Di Cosmo, J. Boender: Using strong conflicts to detect
quality issues in component-based complex systems. Proceeding of the
3rd Annual India Software Engineering Conference (ICSE 2010): 163-172


\item
P. Abate, J. Boender, R. Di Cosmo, S. Zacchiroli.
Strong Dependencies between Software ComponentsIn proceedings of ESEM
2009: 3rd International Symposium on Empirical Software Engineering
and Measurement, pp. 89-99. October 15-16, 2009 - Lake Buena Vista,
Florida, USA.

\item
R. Treinen, S. Zacchiroli. Expressing Advanced User Preferences
in Component Installation. International Workshop on Open Component
Ecosystems (IWOCE 2009), 24 August 2009 - Amsterdam, The Netherlands.

\end{itemize}
